Bug 490277 - traceback on attempted install (UnboundLocalError: local variable 'tspkg' referenced before assignment)
traceback on attempted install (UnboundLocalError: local variable 'tspkg' ref...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-14 13:08 EDT by Yanko Kaneti
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 09:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2009-03-14 13:08:46 EDT
I have rpm-4.7.0-0.beta1.4.fc11.x86_64
Trying to yum install rpm-devel from a repo that only has rpm 4.7.0-0.beta1.3.fc11

# yum install rpm-devel
Loaded plugins: allowdowngrade
Excluding Packages in global exclude list
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rpm-devel.x86_64 0:4.7.0-0.beta1.3.fc11 set to be updated
--> Processing Dependency: rpm = 4.7.0-0.beta1.3.fc11 for package: rpm-devel
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 306, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 217, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 698, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 699, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 792, in _resolveRequires
    (checkdep, missing, errormsgs) = self._processReq(po, dep)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 280, in _processReq
    CheckDeps, missingdep = self._requiringFromTransaction(po, requirement, errormsgs)
  File "/usr/lib/python2.6/site-packages/yum/depsolve.py", line 506, in _requiringFromTransaction
    if dbpkg.verGT(pkg) and not canCoinstall(pkg.arch, tspkg.arch):
UnboundLocalError: local variable 'tspkg' referenced before assignment
Comment 1 Yanko Kaneti 2009-03-14 13:20:57 EDT
yum version yum-3.2.21-15.fc11.noarch
Comment 2 Tim Lauridsen 2009-03-16 09:45:53 EDT
just a typo tspkg should be dbpkg

fixed upstream

Note You need to log in before you can comment on or make changes to this bug.